Repository 32bit  Forum
Repository 64bit  Wiki

Come aggiornare dalla 12.1 alla 12.2: differenze tra le versioni

Da Slacky.eu.
Riga 638: Riga 638:
kobject_add failed for uhci_hcd with -EEXIST, don't try to register.
kobject_add failed for uhci_hcd with -EEXIST, don't try to register.
</code>
</code>
Questo succede perché i rispettivi driver sono compilati staticamente nei kernel huge, ma ''udev'' cerca ugualmente di caricarli.
+
Questo succede perché i rispettivi driver sono compilati staticamente nei ''kernel huge'', ma ''udev'' cerca ugualmente di caricarli.
Si possono ignorare tranqullamente questi errori o mettere in blacklist (vedi sopra) i moduli che il kernel cerca di caricare. Ad ogni modo '''ricordarsi di rimuovere dalla blacklist''' questi moduli se decidiamo di usare i ''kernel generic'' come raccomandato da Pat.
+
Si possono ignorare tranquillamente questi errori o mettere in blacklist (vedi sopra) i moduli che il kernel cerca di caricare. Ad ogni modo '''ricordarsi di rimuovere dalla blacklist''' questi moduli se decidiamo di usare i ''kernel generic'' come raccomandato da Pat.

Versione delle 22:44, 3 mag 2008


Questo mini Howto spiega come aggiornare dalla versione 12.0 alla versione 12.1 di Slackware Linux. Non spiega invece come installare ex-novo la distribuzione.

Se desiderate integrarlo potete leggere Current for Dummies, che abbinato alla lettura del file UPGRADE.TXT che trovate nel DVD della Slackware (in questo wiki trovate anche una sua traduzione), vi guida nel download e nell'installazione della versione -current. Del resto, come da tradizione Slackware, la versione stabile è una current "ghiacciata", cioè bloccata ad un punto del suo sviluppo.

Questo documento infatti non è altro che il riassunto (in alcuni casi addirittura una replica) di ciò che potete trovare nei due documenti sopra citati e negli altri documenti all'interno del CD, come CHANGES_AND_HINTS.TXT, Slackware-HOWTO ed ANNOUNCE.12_1


Indice

Disclaimer

L'autore di questa guida, i suoi collaboratori e slacky.eu non si riterranno responsabili di eventuali danni provocati al vostro computer.


Prerequisiti

Do per scontato che chi si accinge ad aggiornare una Slackware abbia le conoscenze almeno base per usare tale distribuzione: come installare, aggiornare o rimuovere i pacchetti, configurare la distribuzione, risolvere gli errori, trovare informazioni, etc...

Prima di procedere vi consiglio di:

  • stampare questa guida prima di procedere al suo utilizzo. In modo da avere sempre le informazioni sottomano
  • stampare i file UPGRADE.TXT (o la sua traduzione) ed il file CHANGES_AND_HINTS.TXT


Avvertimenti

Il metodo che spiegherò di seguito non contempla l'uso di software come Slackpkg, Swaret, Slapt-Get e simili, ma descrive e cerca di spiegare,ed in alcuni casi integrare, il procedimento consigliato da Pat nel suo UPGRADE.TXT

Io sconsiglio sempre l'uso di software come Slackpkg, Slapt-Get, Swaret o simili per aggiornare l'intera distribuzione, a meno di non conoscere bene i pregi ed i difetti di tali software e sapere come procedere. Questo perché non sempre rispecchiano il corretto ordine di aggiornamento e non sempre installano i "nuovi" pacchetti. Se proprio si vuole usare uno di questi software, quel che posso consigliare è di leggere bene la documentazione e di aggiornare prima di tutto glibc e pkgtool


Inoltre in questo documento do per scontato che si abbia già la distribuzione: in DVD, CD o in qualche parte del vostro HD. Se non sapete come reperirla nel sito ufficiale o in questo sito potete trovare tutte le informazioni a riguardo. Anche nel documento Current for dummies spiego come scaricare la -current, per la 12.1 il procedimento è simile.


Fare un backup

Prima di qualsiasi cosa fate un backup del vostro sistema. Se non dell'intero sistema almeno della directory /etc, della $HOME e dei vostri file importanti.

Perché cominciare con un backup? Perché c'è sempre la possibilità che qualcosa vada storto, ed anche se tutto andasse per il meglio, potreste per sbaglio cancellare qualche file importante, avere dei ripensamenti, anche solo controllare la vecchia impostazione. In ogni caso con un backup completo potete sempre ripristinare le informazioni come erano prima di iniziare l'aggiornamento.

Per effettuare il backup potete seguire una delle guide presenti in questo wiki o in rete.

Una volta fatto il backup procediamo con l'aggiornamento :-)


Procedura di aggiornamento

Il primo passo, e più importante, è quello di leggere il file UPGRADE.TXT e possibilmente ogni file di testo presente nel DVD . Questo perché in quel file ci sono le istruzioni per aggiornare con sicurezza.

A questo punto l'how-to potrebbe essere finito, in quanto è scritto tutto in tale file, ma voglio dare ugualmente una spiegazione più dettagliata dell'aggiornamento, con alcune trucchi che uso io stesso (che segnalerò al momento opportuno). Prendete pertanto quanto scritto come infarinatura per capire il file UPGRADE.TXT o integrazione dello stesso.

Una sommaria traduzione del file UPGRADE.TXT potete leggerla in questo wiki


Andare in single user mode

La prima cosa da fare è passare in modalità singolo utente, cosa che si fa con questo comando

# telinit 1

A questo punto effettuiamo il log in come root e procediamo


Posizionarsi nella directory slackware

Per rendere omogenei gli esempi seguenti e facilitare l'aggiornamento, consiglio di posizionarsi nella sottodirectory slackware all'interno della directory in cui avete "montato" il DVD. Diamo per scontato che è stato fatto in /mnt/dvd

# cd /mnt/dvd/slackware

Se non avete il DVD, ma avete i file in un HD o in altro supporto cambia solamente il percorso.

Una volta "dentro" la directory slackware possiamo procedere


Aggiornare le GLIBC e PKGTOOL

Il primo pacchetto da aggiornare sono le librerie glibc. Questo perché sono librerie essenziali al funzionamento dell'intero sistema, e quando nei vari forum si trovano messaggi di persone che si sono trovate con il computer fuori uso durante un aggiornamento, spesso la causa è dovuta al mancato aggiornamento delle glibc come primo passo di tutta la procedura.

Quindi per prima cosa procediamo ad aggiornare le librerie glibc.

# upgradepkg a/glibc-solibs-*tgz


Dopo le Glibc, altro componente essenziale da aggiornare prima di tutti gli altri, è il gestore dei pacchetti della Slackware stessa, Pkgtool

# upgradepkg a/pkgtools-*.tgz

Questi primi due passi sono importanti e vanno eseguiti, in questo ordine, prima di tutto il resto. Altrimenti si rischia di non poter continuare, ritrovandoci con il sistema fuori uso.


Aggiornamento di tutti i pacchetti

Una volta aggiornati i pacchetti di supporto si può procedere all'aggiornamento totale della distribuzione. In questo caso ci sono due metodi: il primo consigliato da Pat, il secondo da me.

Capite già da questo qual è il più seguito dagli utenti Slackware ;-)


Primo metodo: Installazione di tutti i pacchetti

Questo è il metodo suggerito da Pat all'interno del file UPGRADE.TXT.

Per fare questo dall'interno della directory /mnt/dvd/slackware, dove ci siamo posizionati in precedenza, bisogna dare il comando

# upgradepkg --install-new */*.tgz

Siccome in questo modo si installeranno anche tutti i file di localizzazione del KDE, che sono circa 500Mb, Pat nel nuovo UPGRADE.TXT consiglia di usare questo script

#!/bin/sh
for dir in a ap d e f k kde l n t tcl x xap y ; do
 ( cd $dir ; upgradepkg --install-new *.tgz )
done

che installerà ogni cosa, tranne appunto i file di localizzazione, cosa che potremmo fare in seguito con semplicità. Vedremo in seguito come.


Secondo metodo: Aggiornare solamente i pacchetti nuovi o modificati

Questo è il metodo che uso io, e che è stato testato da altre persone della community slacky.eu, quindi a voi la scelta :-)

Per questa procedura dobbiamo avere davanti il file CHANGES_AND_HINTS.TXT che si trova nel DVD o in uno dei tanti mirror della Slackware. Tanto lo avete stampato come vi ho suggerito all'inizio vero?


Per prima cosa procediamo ad un aggiornamento delicato, il pacchetto util-linux, sostituito nella 12.1 con util-linux-ng. Siccome non conviene disinstallarlo, perché contiene programmi necessari anche all'aggiornamento degli altri pacchetti, bisogna procedere con un aggiornamento "particolare", tramite l'operatore %<tt> dell'utility <tt>upgradepkg

# upgradepkg util-linux%a/util-linux-ng-2.13.1-i486-1.tgz


Successivamente procediamo alla rimozione dei pacchetti obsoleti, cioè dei pacchetti non più presenti nella nuova Slackware.

La lista dei pacchetti eliminati dalla nuova Slackware si trova nel file CHANGES_AND_HINTS.TXT, ma per completezza la riporto anche qui, escludendo i pacchetti in /extra e util-linux che abbiamo già aggiornato

Nella 12.1 sono stati eliminati (o rinominati) tali pacchetti.

ap/espgs
ap/gimp-print
e/emacs-info
e/emacs-leim
e/emacs-lisp
e/emacs-misc
e/emacs-nox
l/libmusicbrainz
l/libtunepimp
l/mcs
x/dejavu-ttf
x/xorg-server-xdmx
x/xf86-input-acecad
x/xf86-input-void

Per la rimozione di un pacchetto bisogna dare questo comando

# removepkg nomepacchetto.tgz

Sostituendo a nomepacchetto il nome del pacchetto che trovate nella lista. Per esempio:

# removepkg espgs


A questo punto, dopo aver rimosso i pacchetti non più presenti nella 12.1, effettuiamo l'aggiornamento dei soli pacchetti che abbiamo nel sistema dando il comando:

# upgradepkg */*.tgz


Dopodiché procediamo all'installazione dei nuovi pacchetti.

Anche questa lista si trova nel file CHANGES_AND_HINTS.TXT

a/inotify-tools
a/ntfs-3g
a/util-linux-ng
ap/foomatic-filters
ap/ghostscript
ap/gutenprint
ap/ntfsprogs
l/dbus-python
l/fuse
l/icon-naming-utils
l/libaio
l/libcddb
l/libcdio
l/libmcs
l/libmowgli
l/libwnck
l/pycairo
l/pygobject
l/pygtk
l/pyrex
l/tango-icon-theme
l/tango-icon-theme-extras
l/wavpack
n/ipw2100-fw
n/ipw2200-fw
n/iwlwifi-3945-ucode
n/iwlwifi-4965-ucode
n/rt61-firmware
n/rt71w-firmware
n/zd1211-firmware
x/anthy-9100e
x/dejavu-fonts-ttf
x/liberation-fonts-ttf
x/libhangul
x/libpciaccess
x/m17n-lib
x/pixman
x/sazanami-fonts-ttf
x/scim
x/scim-anthy
x/scim-bridge
x/scim-hangul
x/scim-m17n
x/scim-pinyin
x/scim-tables
x/sinhala_lklug-font-ttf
x/tibmachuni-font-ttf
x/wqy-zenhei-font-ttf
x/xbacklight
x/xcompmgr
x/xf86-input-citron
x/xf86-input-dynapro
x/xf86-input-elo2300
x/xf86-video-geode
x/xf86-input-microtouch
x/xf86-input-penmount
x/xf86-video-radeonhd
x/xinput


Per installare questi pacchetti consiglio upgradepkg --install-new e non direttamente installpkg perché è possibile che alcuni di questi pacchetti li avevamo già nel sistema in quanto scaricati da altri repository, come quello di slacky.eu per esempio.

Quindi procediamo con

# upgradepkg --install-new nomepacchetto.tgz

In questo caso però bisogna sostiture a nomepacchetto il nome che trovate, aggiungendo l'asterisco per il numero versione e l'estensione .tgz, necessaria al corretto funzionamento del comando.

Per esempio

# upgradepkg --install-new a/inotify-tools*.tgz

Naturalmente alla lista manca a/util-linux-ng che abbiamo provveduto ad aggiornare precedentemente.


Visto che questa procedura serve per non replicare una installazione full, potete benissimo non installare i pacchetti che non utilizzate. Per esempio consiglio di non installare scim, che serve per il supporto alle lingue orientali. Ma la scelta spetta a voi e per evitare di non installare software importante consiglio di leggere il file Changelog.txt o direttamente il TXT del pacchetto

Questa procedura la preferisco perché mi evita di installare pacchetti che non uso e che possono interferire con i pacchetti che invece ho nel sistema. Per esempio sendmail che sovrascrive alcuni file di postfix.

Naturalmente si può benissimo, anzi forse è meglio :-), seguire la procedura di Pat e dopo rimuovere ciò che non ci serve e reinstallare successivamente i pacchetti che usiamo. Questo evita anche di dimenticarsi di installare pacchetti essenziali al funzionamento del sistema. Personalmente cerco di evitare questo anche se allungo il processo di aggiornamento della distribuzione e se volete seguire il mio metodo dovete essere sicuri di aver installato tutti i nuovi pacchetti. Per esempio se non installate pixman, Xorg non funzionerà nella nuova Slackware.

Come sempre l'esperienza e la conoscenza del sistema permettono di effettuare scelte personali.

Quali sono i vantaggi di questa procedura? Aggiornando manualmente, possiamo evitare l’installazione dei pacchetti che non ci servono, che possono essere molti o pochi a seconda del proprio grado di personalizzazione della Slackware. Con l'altro metodo invece ci ritroveremo con installati anche questi pacchetti, che possono andare in conflitto con alcuni dei "nostri" oppure essere semplicemente inutili. Niente che non si possa risolvere in secondo momento comunque.

Ed i contro? Il contro di questa procedura è la pazienza ed il tempo richiesto per effettuare la stessa. Ed anche l'attenzione di non scordarsi qualche pacchetto essenziale



Modificare il boot manager

Una volta installati tutti i nuovi pacchetti, qualsiasi metodo abbiate scelto, bisogna essere sicuri che il sistema faccia il boot correttamente, quindi modifichiamo LILO o Grub in base al nuovo kernel installato.

Se usiamo LILO una volta modificato il file /etc/lilo.conf diamo il comando

# lilo -v

Per Grub una volta modificato il file /boot/grub/menu.lst non c'è bisogno di nessun comando

N.B. Siccome la Slackware 12.1 utilizza il kernel 2.6.24.5 e quest'ultimo di default ha la console in UTF8 potrebbe essere necessario aggiungere al file lilo.conf la riga

append = "vt.default_utf8=0"

in modo da disabilitare tale opzione, che in alcune circostanze e con alcuni software può creare problemi.

A chi usa Grub sarà sufficiente aggiungere l'opzione vt.default_utf8=0 ai parametri del kernel. Per esempio

 kernel /boot/vmlinuz  root=/dev/hdx ro vt.default_utf8=0


Se usate UTF-8 non avete bisogno di questa modifica


Rimozione pacchetti obsoleti

Se avete seguito la procedura "Aggiornare solamente i pacchetti nuovi o modificati" potete saltare questa sezione.

Se invece avete seguito la procedura consigliata da Pat dovete a questo punto rimuovere i pacchetti obsoleti, cioè quei pacchetti che non fanno più parte della Slackware e di cui quindi non è presente la versione aggiornata.

Nella 12.1 sono stati eliminati (o rinominati) tali pacchetti:

a/util-linux
ap/espgs
ap/gimp-print
e/emacs-info
e/emacs-leim
e/emacs-lisp
e/emacs-misc
e/emacs-nox
l/libmusicbrainz
l/libtunepimp
l/mcs
x/dejavu-ttf
x/xorg-server-xdmx
x/xf86-input-acecad
x/xf86-input-void

Anche in questo caso ho tralasciato quelli in /extra, per completezza leggere il file CHANGES_AND_HINTS.TXT


In alternativa si può anche andare in /var/log/packages e guardare la lista dei pacchetti

# ls -lt | less

in modo da "capire" quali sono i pacchetti vecchi, obsoleti o non seguiti.


Per rimuovere i pacchetti usare il comando removepkg come visto in precedenza.

La sintassi del comando è

# removepkg nomepacchetto

Consiglio come prima di fare attenzione al pacchetto util-linux.

Una volta disinstallato tale pacchetto, bisogna reinstallare util-linux-ng usando installpkg e non upgradepkg --reinstall

# installpkg util-linux-ng-2.13.1-i486-1.tgz


Modificare i file di configurazione

Arrivati a questo punto bisogna controllare quali modifiche hanno portato i nuovi file di configurazione all'interno di /etc e fare il merge con i propri.

Pat suggerisce ai più temerari di usare questo script:

#!/bin/sh
cd /etc
find . -name "*.new" | while read configfile ; do
if [ ! "$configfile" = "./rc.d/rc.inet1.conf.new" \
    -a ! "$configfile" = "./group.new" \
    -a ! "$configfile" = "./passwd.new" \
    -a ! "$configfile" = "./shadow.new" ]; then
  cp -a $(echo $configfile | rev | cut -f 2- -d . | rev) \
      $(echo $configfile | rev | cut -f 2- -d . | rev).bak 2> /dev/null
  mv $configfile $(echo $configfile | rev | cut -f 2- -d . | rev)
fi
done

ci ritroveremo così con i vecchi file con estensione .bak

A questo punto inseriamo le nostre modifiche nei nuovi file.

Questo va fatto perché i nuovi file potrebbero contenere informazioni che i vecchi non hanno, o potrebbero avere una sintassi diversa. I cambiamenti effettuati nei nuovi pacchetti possono infatti recare dei cambiamenti nel formato dei file di configurazione e negli script di avvio contenuti in /etc. Al tempo stesso dovrete immettere i vostri vecchi dati nei nuovi file per mantenere le vecchie configurazioni.

Bisogna stare attenti a questo passo perché si rischia di perdere utenti o configurazioni che avevamo in precedenza.

Comunque come vedete lo script non rinomina i file

  • /etc/rc.d/rc.inet1.conf.new
  • /etc/group.new
  • /etc/passwd.new
  • /etc/shadow.new

Questo perchè sono i file in cui sono memorizzati i vostri utenti, i gruppi, le password e le informazioni sulla vostra rete. Quindi non allarmatevi se ritrovate ancora alcuni file con estensione .new e soprattutto non sostituiteli a quelli vecchi se non sapete bene cosa state facendo.

Quindi sta a voi modificare, se necessario, i vecchi file

  • /etc/rc.d/rc.inet1.conf
  • /etc/group
  • /etc/passwd
  • /etc/shadow

facendo un confronto con quelli con estensione .new

Normalmente modificare questi file non serve, potete lasciarli come sono.

Una modifica è ad esempio nel file group.new, dove Pat ha aggiunto l'utente root ad alcuni gruppi necessari al funzionamento dell'automounting. La maggior parte degli utenti conosceva già il problema ed aveva già tale modifica.


Naturalmente anche in questo caso l'esperienza e la conoscenza del sistema sono la base per effettuare le modifiche come più ci piace.


Oltre alle modifiche di questi file bisogna andare a vedere e controllare le modifiche effettuate ad UDEV nel file all'interno di /etc/udev. Successivamente vedremo meglio questo passo.


Aggiornare i pacchetti delle localizzazioni di KDE

A seconda di come avete aggiornato il sistema, potreste ritrovarvi con tutti i file di localizzazione di KDE o con nessuno. Siccome occupano 500Mb conviene lasciare solamente quelli effettivamente utilizzati.

Vediamo caso per caso.


Se si è aggiornato tramite --install-new

Se si è aggiornato con il metodo consigliato da Pat

# upgradepkg --install-new */*.tgz

conviene disintallarli tutti e dopo installare solamente quelli veramente utilizzati.

Per fare ciò bisogna portarsi nella dir /var/log/packages e rimuovere tutto.

# cd /var/log/packages
# removepkg kde-i18n* koffice-l10n*

Successivamente, tornare nella directory /mnt/dvd/slackare ed installare quelli di cui si ha effettivamente bisogno tramite il comando

 # upgradepkg --install-new kdei/k*<your KDE locale>*tgz

Per esempio per installare quelli in lingua italiana, bisogna usare il comando

 # upgradepkg --install-new kdei/k*it*tgz


Se si è aggiornato tramite lo script di Pat

Se per aggiornare il sistema si è utilizzato lo script di Pat

#!/bin/sh
for dir in a ap d e f k kde l n t tcl x xap y ; do
 ( cd $dir ; upgradepkg --install-new *.tgz )
done

basta aggiornare solamente i file effettivamente utilizzati con il comando

 # upgradepkg kdei/*.tgz


Se si è aggiornato tramite il metodo alternativo

Se si è seguito il metodo consigliato da me, probabilmente non ci sarà da fare niente, in quanto si saranno aggiornati solamente i file di localizzazione precedentemente usati.

Controllare comunque non fa mai male :-)


Non si utilizzava nessuna localizzazione per KDE

Se prima non veniva utilizzata alcuna localizzazione per KDE naturalmente bisogna valutare se continuare così o installare le localizzazioni che vogliamo.

Stessa cosa se vogliamo aggiungerne (o rimuoverne) altre, per esempio per utilizzare varie lingue.

In questo caso bisogna spostarsi nella directory kdei e procedere all'installazione o rimozione dei pacchetti delle localizzazioni che ci interessano.


In tutti i casi l'importante è fare questo per i pacchetti kde, koffice e k3b, naturalmente questi ultimi due se sono utilizzati.


Tornare in multi user mode

Una volta fatte queste modifiche e dopo essere sicuri che tutto sia corretto si può tornare in modalità multiutente con il comando

# telinit 3

A volte al termine della procedura di riavvio non compare la shell, ma niente paura, basta premere invio per visualizzarla.

Ora avete la Slackware 12.1 sul vostro computer e potete accertarvi che tutto sia ok


Consigli e problemi noti

Prima di riavviare accertatevi di aver "risolto" alcuni problemi noti di questa versione e della procedura di aggiornamento


Problemi nell'aggiornare Xorg

Nel seguire il secondo metodo di aggiornamento, ma è presumibile che possa succedere anche seguendo il primo metodo, è stato segnalato un problema con xorg relativo in particolare ai font, risolvibile installando nuovamente tutta la directory /x

Quindi se riscontrate problemi nell'avviare o nell'usare Xorg dopo l'aggiornamento, date il comando

# installpkg x/*.tgz

Importante è usare installpkg e non upgradepkg --install-new

Questo spiegherebbe anche il motivo per il quale Pat, nel file CHANGES_AND_HINTS.TXT, tra i file aggiunti ha segnalato x/*

In alternativa provare tramite pkgtool->setup a rieseguire gli script

  • 04.mkfontdir
  • 05.fontdir


Console in UTF8

Del problema della console in UTF8 ne abbiamo parlato per la configurazione di LILO.

La soluzione è usare UTF8 come LANG, e se si riscontrano problemi aggiungere la riga

append = "vt.default_utf8=0"

al file lilo.conf e tornare al proprio sistema di codifica. Per esempio it_IT@euro

Naturalmente se avete il sistema in UTF8 e non avete software che "soffrono" di questo problema, non avete bisogno di quel comando.


HPLIP e CUPS

Diverso il discorso per HPLIP e CUPS. Infatti hp-toolbox non lavora se la variabile LC_ALL non è settata a UTF8. Quindi se non utilizzate un sistema UTF8 fate partire hp-toolbox in questo modo

LC_ALL=$LANG.UTF8 hp-toolbox

Naturalmente il vostro utente deve far parte del gruppo lp

Inoltre adesso HPLIP non necessita più del demone all'avvio, quindi lo script /etc/rc.d/rc.hplip può essere rimosso


XFCE

Il terminale di XFCE ed altre applicazioni XFCE, possono risultare molto lente se è abilitato il composite in Xorg. Quindi anche se non si usa esplicitamente il composite ma si ha il supporto attivato in xorg, cioè le righe: Section "Extensions"

Option "Composite" "Enable"

EndSection si posso avere tali problemi.

La soluzione consiste, o nel disabilitare il composite, cioè togliere quelle righe di cui sopra, o settare, prima di avviare X, la variabile XLIB_SKIP_ARGB_VISUALS ad 1, con il comando

export XLIB_SKIP_ARGB_VISUALS=1

Potete mettere questo comando nel profile, in xinitrc, insomma dove volete, ma prima dell'avvio di X


Cambiamenti in UDEV

UDEV è stato aggiornato in modo evidente per cercare di allinearlo alle altre distribuzioni, quindi non dimenticatevi di controllare i file *.new all'interno di /etc/udev e di controllare ad ogni aggiornamento le avvertenze, in modo da non avere problemi.

I file più "importanti" da controllare, in quanto normalmente i più modificati, sono il file delle schede di rete e quello dei dispositivi ottici.

Soprattutto nel caso che si ha più di una scheda di rete va controllato bene il nuovo file.

Le regole che prima erano contenute nel file 75-network-devices.rules adesso sono in 70-persistent-net.rules il quale è generato dal file 75-persistent-net-generator.rules

Stesso discorso per i dispositivi ottici, le regole adesso si trovano nel file 70-persistent-cd.rules a sua volta generato da 75-cd-aliases-generator.rules.

Se avete ancora i vecchi file, 75-optical-devices.rules e 75-network-devices.rules, ricordatevi di cancellarli dopo aver modificato i nuovi file, in quanto vanno in conflitto con gli stessi.

Durante la fase di boot la Slackware controlla la presenza di questi file e se non li trova provvede a crearli automaticamente. Questo fa si che se in futuro vogliamo aggiornare una scheda di rete o un disco, o se stiamo clonando un sistema, basta cancellare questi due file per far ricreare le regole correttamente. Naturalmente potete modificarli voi stesse, se sapete come fare.


Cambiamenti nel caricamento dei moduli

Ci sono vari cambiamenti in /etc/rc.d/rc.modules.

Uno di questi è il non caricamento del modulo pcspkr e dei commenti sui vari moduli ACPI (anche se molti di questi dovrebbeero essere automaticamente caricati nel kernel 2.6.24.x se necessario).

Do per scontato che il lettore sappia cosa vuole dire aver commentato un comando in uno script bash :-)

Quindi attenzione a modificare correttamente questi file in base alle proprie esigenze.

Se i cambiamenti non sono rari, Pat consiglia di creare uno script chiamato rc.modules.local.

Ricordo che la sequenza di caricamento dei moduli prevede che il primo file ad essere "cercato" sia proprio /etc/rc.d/rc.modules.local, il quale non sarà sovrascritto da futuri aggiornamenti. Quindi se volete un file personalizzato per i vostri moduli create un file con questo nome.

Nella Slackware 12.1 la versione dei module-init-tools rispetta i moduli blacklistati in /etc/modprobe.d/blacklist, anche se ci sono degli alias ad essi; quindi pcspkg ed altri moduli non dovrebbero essere più caricato automaticamente contro le richieste di /etc/modprobe.d/blacklist.

Il modulo del mouse non è più blacklistato di default, e viene caricato con il protocollo imps da /etc/modprobe.d/psmouse. Quindi se si necessita di altro protocollo o della sua disabilitazione va modificato il file /etc/modprobe.d/psmouse

Inoltre il file /etc/modprobe.d/blacklist è stato cambiato. Quindi bisogna rinominare il file /etc/modprobe.d/blacklist.new in /etc/modprobe.d/blacklist ed effettuare le modifiche necessarie.

Siccome ogni file presente nella directory /etc/modprobe.d/ viene processato, disabilitando ogni modulo trovato, bisogna fare attenzione a non lasciare qualche file di backup nella stessa directory, altrimenti potremmo ritrovarci con moduli non caricati senza volerlo.


Uso del Kernel generic

Pat consiglia di usare sempre il kernel generic smp e non il kernel huge, quest'ultimo da utilizzare come kernel di installazione o di emergenza, nel caso per esempio ci si dimenticasse di creare il file initrd.

Per la maggior parte dei sistemi va bene il kernel SMP generic (se funziona) anche se non si ha un processore SMP. Qualche nuovo hardware infatti necessita di aver abilitato l'APIC locale nell'SMP kernel e teoricamente non dovrebbero esserci cali prestazionali usando l'SMP kernel su macchine a singolo processore.

Inoltre i sorgenti del kernel della Slackware sono configurati per l'uso del kernel SMP, quindi se si vuole compilare un modulo esterno (ad esempio driver NVidia o ATI proprietari) non c'è bisogno di modifiche se si usa il kernel SMP.

Se invece si vuole comunque utilizzare un kernel non SMP tutte le info, le patch e gli header si trovano nella directory /extra/linux-2.6.24.5-nosmp-sdk/.


Utilizzando un kernel huge si possono riscontrare errori come questo

kobject_add failed for uhci_hcd with -EEXIST, don't try to register.

Questo succede perché i rispettivi driver sono compilati staticamente nei kernel huge, ma udev cerca ugualmente di caricarli. Si possono ignorare tranquillamente questi errori o mettere in blacklist (vedi sopra) i moduli che il kernel cerca di caricare. Ad ogni modo ricordarsi di rimuovere dalla blacklist questi moduli se decidiamo di usare i kernel generic come raccomandato da Pat.


Kernel con CONFIG_SCSI_MULTI_LUN

Nella nuova versione della Slackware il kernel è stato compilato con l'opzione CONFIG_SCSI_MULTI_LUN=y così che non dovrebbe essere necessario lo script /etc/rc.d/rc.scanluns, il quale andrebbe rimosso se presente. Se questa configurazione causa problemi con le periferiche SCSI si può aggiungere al kernel, tramite la modifica del file lilo.conf, l'opzione

append = "max_luns=1"


Estensioni PHP

Nella nuova Slackware tutte le estensioni PHP sono abilitate di default. Quindi a differenza delle precedenti versioni occorre disabilitarle se non le vogliamo. Naturalmente se non si è sostituito il vecchio /etc/httpd/php.ini con il nuovo file <tt<php.ini.new</tt> non occorre fare niente. Tutto rimarrà come lo avevamo impostato.


Shutdown su vecchi pc

Se si usa un pc con BIOS rilasciato prima del 2001 probabilmente la macchina non si spegnerà correttamente allo shutdown. Per ovviare si può provare ad aggiungere in lilo.conf la seguente riga

append = "acpi=force"


Altri consigli e problemi noti

Potete leggere una descrizione di questi e di altri "problemi noti" nel file CHANGES_AND_HINTS.TXT


Riavviare il sistema

A questo punto possiamo riavviare e se tutto è andato per il verso giusto "goderci" la nuova Slackware 12.1 :-)


Possibile errore della procedura di aggiornamento

Se il sistema non si riavvia correttamente, o si è fatto qualche danno durante la procedura di aggiornamento, niente drammi. Prima di formattare, come si usa in altri sistemi, è possibile sempre cercare di reinstallare sul sistema non funzionante la Slackware 12.1

Per fare questo bisogna per prima cosa ripristinare le glibc, solitamente il punto critico del sistema, e successivamente reinstallare l'intero sistema con una delle procedure sopra descritte.

Se proprio non ci riuscite potete invece ripristinare il backup e ripetere la procedura.

E se non si è fatto il backup? Come non avete fatto il backup??? Questa è la prima cosa fare come abbiamo detto prima ;-)


Conclusioni

Spero che la guida possa essere stata di aiuto. Qualsiasi critica, modifica o aggiunta è ben accetta.

Se nonostante questa breve guida e la lettura del file UPGRADE.TXT avete ancora dubbi o problemi potete chiedere nel forum.


Ringraziamenti

Ringrazio gli utenti del forum e non che mi hanno dato una mano o che mi hanno semplicemente incoraggiato, in particolare danix85, Marta, shark1500, slucky e Webbino per l'aiuto con la traduzione ed i refusi, e soprattutto d4z_c0nf che ha testato il tutto trovando alcuni bug :-) Naturalmente ringrazio Patrick Volkerding e tutto il team Slackware per la nuova versione.


Voci correlate

Script per backup


Collegamenti Esterni



--Conraid

Strumenti personali
Namespace

Varianti